summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-java/icedtea/Manifest11
-rw-r--r--dev-java/icedtea/icedtea-3.17.0.ebuild378
2 files changed, 389 insertions, 0 deletions
diff --git a/dev-java/icedtea/Manifest b/dev-java/icedtea/Manifest
index 03a15032fa5..6587faf3b22 100644
--- a/dev-java/icedtea/Manifest
+++ b/dev-java/icedtea/Manifest
@@ -9,5 +9,16 @@ DIST icedtea-3.16-nashorn-1d70dcb4ab53.tar.xz 2319492 BLAKE2B c328c3a99fbd49be1e
DIST icedtea-3.16-openjdk-bca1f7228ce8.tar.xz 363112 BLAKE2B aff804d5b5d58dcb25f9a576aa0a23355d2229f89d5dc69142580d5fab3bdd688225d2e33090714a3d292d9d98758867feaef9c179a4c77b5cab37c21c5f0610 SHA512 76b32457958c2cdbb0006629bb41652286a1a9bfbda862665eddf822d4653d4858f9f2565e849b0e49f031b7667be73be8fe8c71abc65e1795eb570a96d1fd1e
DIST icedtea-3.16-shenandoah-e4e81ae21643.tar.xz 7081200 BLAKE2B bbbd4f3cc7f3adb34a3c3497c62eeb1336d554f7396b952b94ad8f573295c1537e9c3416fc2d2881efef6d6a1750bd069da0fac37a0d556eeb55a0ace9b7b385 SHA512 adbb279d59d4978403b222caf9f0823b3ae2a0d6e27911a38243fe6ef9b1a7f0d8640d71b67fa510c341dc175031e52b4b6aa6187a37ac467372a55946ae37d3
DIST icedtea-3.16.0.tar.xz 1534432 BLAKE2B ef8ffc6773c2ea1d71a2bad1f425f891edd65cb61fd22b1c36b06539b9656f211422d897e35b707bac1b0005eaa95d31bab3079c5e31454383be01d9750394ba SHA512 67964f283b5a220ded7c86141ac359fc51f41077686d3e68568a9f303d2e5e6d62472bef2d6f5f9d53897a55589c84d3212983194607b9a6704192752f8ad2ac
+DIST icedtea-3.17-aarch32-3.17.0.tar.xz 7054840 BLAKE2B 461939116607f82b5aef6dd093204dcf383e209630945f6f0ff0360bbe306e7afc2b1ae339911954c2b80446d37e0d25a587912cbfbebe0ace2e701c2e9e9f67 SHA512 493d9a98166255a630306bf1e67e681e0b2ece42b6e7a96c75b2cfb6cb0639b8c9ed8918eb129c9543fab1805a4ac33774f25ecb2272703eabd6eeb680327717
+DIST icedtea-3.17-corba-3.17.0.tar.xz 948464 BLAKE2B 97050f07a9ee39c763cff67dcb19ad772fa2529103647b0ec7cdfd40f926cea67e6e02d3f10e7d5aefd8221476c923630f4b9fd6d5f95ae4c74b46e44c911520 SHA512 cec56b02b47f96ac97d6485fc18ea30100ba64c0acd509d408ddfe43e36e14ebf2345b3fefcf001af378af9ed3628ca8c45add604bd435806eba47c9f2945993
+DIST icedtea-3.17-hotspot-3.17.0.tar.xz 7107508 BLAKE2B 61148d11c2cea5fa18e9d115be7dfefa68825cb5396465c2b1c991402ba1a000f2e780773a83a95741571a38992839206e21f26954773fa2306e1a6d4d7eaad9 SHA512 cb1bdf3ab9aee48e745108d2762992c2a6be21e22bf6633a512f4bff28becb61e4cdd3662e7301aa7067271c6c80a8ac2a65fdb5b432b8c02d38b6fd74c7f9e8
+DIST icedtea-3.17-jaxp-3.17.0.tar.xz 2268024 BLAKE2B c1fe1e2a6f28d7108dcbdead86e5ef0836877ebb89ba0446045aad3797616e5a16125d6d6dba425b244710bba77ce8a5ac4c6780dd0ab2b9b35f51d551f291b3 SHA512 a7d69f94cb7ce63522dbe1d16376ff0f39e5e5f013f3a895070dcb05d524f63ecbb1ab3d109edbd48e3bfc6e5758200c95b7ec18ceb84cc580a93395760b975a
+DIST icedtea-3.17-jaxws-3.17.0.tar.xz 2277156 BLAKE2B 0ea611d90eac928c974d80ae366a95ba7d13b958b7b5e31766ede059015478c3bd87bce4cee2f4350e7dbc8ab27ac2a6e7190efdb61b4e595e8741ab28fa8b1f SHA512 65821e62a2f25e77f3345894d1982e2b6d877ee6ddd2b1dba77b94f1175f7d88fd77ca2d2727f625765702846711f85821f87f62fb6359d2502f57436a22290c
+DIST icedtea-3.17-jdk-3.17.0.tar.xz 40601488 BLAKE2B 18c0629aba53b763680fb2e0dd4ad500db286e584d6aaaf43339559907636f8cd4cae9445131164be810ac2518445c8025d4e361e4c6f31d5436bbea1cb254e3 SHA512 42d5387b228ea3143eb91e4fe661a1d578b879b884f098045b8248c77d1f4a583921c520cfab078847b74615732f2e9318bd532b00ce266dad2364f5a640251d
+DIST icedtea-3.17-langtools-3.17.0.tar.xz 2079284 BLAKE2B 0e1d435a54167cf9b3cd381cf12d156ce59da99dd3f02d72422329ee70d7f00dbb25713c315b36a4569408a7ab376de21f0ae525bf7cb3ef54c5fa51ebe50eb1 SHA512 7cd63565adb0beb0a7bf6efc35dacc9bcc8cc48e0e6462c4f295783a48de999fe877964509b81375603fbae18c231084c82cf22c1ee3bb4309360ec2685cebe0
+DIST icedtea-3.17-nashorn-3.17.0.tar.xz 2320268 BLAKE2B d77ea15aa6d1b268fcd06a3222f7f526cb46887e0454a612ddf7fd57465c166ebe1ce16436c90ada71a097292be334e25622b223fb40708976f3d3cd7514e23a SHA512 50c5a4e4faa377e8b61395062a7b86856553e48a66d32d83730a536bb8c09f768a78dfc604e679c8fa5c9297887d6432012b2db2f7810b00aaebee3c775960b3
+DIST icedtea-3.17-openjdk-3.17.0.tar.xz 364764 BLAKE2B c0bb286b691c50ca9d0e6982dab73929065a3af13f1974bd661a51e4959eec38a045fa7032854a65a17cc3f8a826f881c46eda062225af551da7c22f9591ee4f SHA512 4b074a6b14efcb23476a1fed56d52e8f2defea16f840a714324cfd0c3302e3a742123e86f8964a5708600f0856ae1c4daacd0513eaed35d299512277eed7eca8
+DIST icedtea-3.17-shenandoah-3.17.0.tar.xz 7277048 BLAKE2B 034d27ce07b48d27302180da2b100cdf97adc7109a56e9cb67ee37f93957f009f65a460b706ff563c0022efdfd1749322caee069916df4e090aee217ca60b1cd SHA512 ce7df9784a48028ea69f6a2b0f5b08a13456e71ce3e8773b14e5a7c801b0917dd7f5609e2dcdf574836ec2d69bc0acec0648ee087283052c200822b3786e155d
+DIST icedtea-3.17.0.tar.xz 1565156 BLAKE2B f2b5f0b0ac1de70ddd5faa1215fcb17b5b7bee726ca5dd81bc2e3948c7fd342dfe1d7c9dbd232696bf0f2d68f214b0132f386d182b1fe15ec72cdb77cc0ba67c SHA512 4183037d6829f7fdd25b970853e84bfeecb45adca7fb78e773c431e401c155c212b78bc6daf80d8479c13e9ca63ad5446122a8ec2d6e6b1bede8ee747ba7a91b
DIST icedtea-cacao-c182f119eaad.tar.xz 3056520 BLAKE2B 6b1be66ce19f491d49f1591babcd8c088e8e327f828dca3f30b8f8b04c132140f8b9f487ef6d91aed212aebab2c7c3052d79fa3f2d76d3832341d94d48e77089 SHA512 22e8a031db5f93f82b276b310c175f1e926e48d64e1e50bebe51138e0f66391cd005501491a959d31663f338f27a29ec984ac29f77078f59472856e4d08edef7
DIST icedtea-jamvm-ec18fb9e49e62dce16c5094ef1527eed619463aa.tar.gz 317187 BLAKE2B 1ca581a02be4cf5c09162687bbc90ec01b58b4910d866d11512cf17a1caff181fdc69e42f7498b2df9deb875ddc6efc6bc2888428f411da94bbc2313ddf5a2c9 SHA512 a31348481e1c02747f5bb9db333f855c45a1555aa187ee35de5ef553a10a8a47dfcc1beb1e69502046c1758438b91958a328e0a0015812c153221f67734a70a6
diff --git a/dev-java/icedtea/icedtea-3.17.0.ebuild b/dev-java/icedtea/icedtea-3.17.0.ebuild
new file mode 100644
index 00000000000..e45ecc44c97
--- /dev/null
+++ b/dev-java/icedtea/icedtea-3.17.0.ebuild
@@ -0,0 +1,378 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Build written by Andrew John Hughes (gnu_andrew@member.fsf.org)
+
+# *********************************************************
+# * IF YOU CHANGE THIS EBUILD, CHANGE ICEDTEA-6.* AS WELL *
+# *********************************************************
+
+EAPI="6"
+SLOT="8"
+
+inherit check-reqs flag-o-matic java-pkg-2 java-vm-2 multiprocessing pax-utils prefix toolchain-funcs versionator xdg-utils
+
+ICEDTEA_VER=$(get_version_component_range 1-3)
+ICEDTEA_BRANCH=$(get_version_component_range 1-2)
+ICEDTEA_PKG=icedtea-${ICEDTEA_VER}
+ICEDTEA_PRE=$(get_version_component_range _)
+
+CORBA_TARBALL="${PV}.tar.xz"
+JAXP_TARBALL="${PV}.tar.xz"
+JAXWS_TARBALL="${PV}.tar.xz"
+JDK_TARBALL="${PV}.tar.xz"
+LANGTOOLS_TARBALL="${PV}.tar.xz"
+OPENJDK_TARBALL="${PV}.tar.xz"
+NASHORN_TARBALL="${PV}.tar.xz"
+HOTSPOT_TARBALL="${PV}.tar.xz"
+SHENANDOAH_TARBALL="${PV}.tar.xz"
+AARCH32_TARBALL="${PV}.tar.xz"
+
+CACAO_TARBALL="cacao-c182f119eaad.tar.xz"
+JAMVM_TARBALL="jamvm-ec18fb9e49e62dce16c5094ef1527eed619463aa.tar.gz"
+
+CORBA_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-corba-${CORBA_TARBALL}"
+JAXP_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jaxp-${JAXP_TARBALL}"
+JAXWS_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jaxws-${JAXWS_TARBALL}"
+JDK_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jdk-${JDK_TARBALL}"
+LANGTOOLS_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-langtools-${LANGTOOLS_TARBALL}"
+OPENJDK_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-openjdk-${OPENJDK_TARBALL}"
+NASHORN_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-nashorn-${NASHORN_TARBALL}"
+HOTSPOT_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-hotspot-${HOTSPOT_TARBALL}"
+SHENANDOAH_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-shenandoah-${SHENANDOAH_TARBALL}"
+AARCH32_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-aarch32-${AARCH32_TARBALL}"
+
+CACAO_GENTOO_TARBALL="icedtea-${CACAO_TARBALL}"
+JAMVM_GENTOO_TARBALL="icedtea-${JAMVM_TARBALL}"
+
+DROP_URL="https://icedtea.classpath.org/download/drops"
+ICEDTEA_URL="${DROP_URL}/icedtea${SLOT}/${ICEDTEA_VER}"
+
+DESCRIPTION="A harness to build OpenJDK using Free Software build tools and dependencies"
+HOMEPAGE="https://icedtea.classpath.org"
+SRC_PKG="${ICEDTEA_PKG}.tar.xz"
+SRC_URI="
+ https://icedtea.classpath.org/download/source/${SRC_PKG}
+ ${ICEDTEA_URL}/openjdk.tar.xz -> ${OPENJDK_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/corba.tar.xz -> ${CORBA_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jaxp.tar.xz -> ${JAXP_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jaxws.tar.xz -> ${JAXWS_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jdk.tar.xz -> ${JDK_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/hotspot.tar.xz -> ${HOTSPOT_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/nashorn.tar.xz -> ${NASHORN_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/langtools.tar.xz -> ${LANGTOOLS_GENTOO_TARBALL}
+ shenandoah? ( ${ICEDTEA_URL}/shenandoah.tar.xz -> ${SHENANDOAH_GENTOO_TARBALL} )
+ arm? ( ${ICEDTEA_URL}/aarch32.tar.xz -> ${AARCH32_GENTOO_TARBALL} )
+ ${DROP_URL}/cacao/${CACAO_TARBALL} -> ${CACAO_GENTOO_TARBALL}
+ ${DROP_URL}/jamvm/${JAMVM_TARBALL} -> ${JAMVM_GENTOO_TARBALL}"
+
+LICENSE="Apache-1.1 Apache-2.0 GPL-1 GPL-2 GPL-2-with-linking-exception LGPL-2 MPL-1.0 MPL-1.1 public-domain W3C"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+IUSE="+alsa cacao +cups doc examples +gtk headless-awt
+ jamvm +jbootstrap kerberos libressl pax_kernel +pch
+ pulseaudio sctp selinux shenandoah smartcard +source +system-lcms test zero"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="gtk? ( !headless-awt )"
+
+# Ideally the following were optional at build time.
+ALSA_COMMON_DEP="
+ >=media-libs/alsa-lib-1.0"
+CUPS_COMMON_DEP="
+ >=net-print/cups-1.2.12"
+X_COMMON_DEP="
+ >=media-libs/giflib-4.1.6:0=
+ >=media-libs/libpng-1.2:0=
+ >=x11-libs/libX11-1.1.3
+ >=x11-libs/libXext-1.1.1
+ >=x11-libs/libXi-1.1.3
+ >=x11-libs/libXrender-0.9.4
+ >=x11-libs/libXtst-1.0.3
+ x11-libs/libXcomposite"
+X_DEPEND="
+ x11-base/xorg-proto
+ >=x11-libs/libXau-1.0.3
+ >=x11-libs/libXdmcp-1.0.2
+ >=x11-libs/libXinerama-1.0.2"
+
+# The Javascript requirement is obsolete; OpenJDK 8+ has Nashorn
+COMMON_DEP="
+ >=dev-libs/glib-2.26:2=
+ >=dev-util/systemtap-1
+ media-libs/fontconfig:1.0=
+ >=media-libs/freetype-2.5.3:2=
+ >=sys-libs/zlib-1.2.3
+ virtual/jpeg:0=
+ kerberos? ( virtual/krb5 )
+ sctp? ( net-misc/lksctp-tools )
+ smartcard? ( sys-apps/pcsc-lite )
+ system-lcms? ( >=media-libs/lcms-2.9:2= )"
+
+# Gtk+ will move to COMMON_DEP in time; PR1982
+# gsettings-desktop-schemas will be needed for native proxy support; PR1976
+RDEPEND="${COMMON_DEP}
+ !dev-java/icedtea:0
+ !dev-java/icedtea-web:7
+ >=gnome-base/gsettings-desktop-schemas-3.12.2
+ >=sys-apps/baselayout-java-0.1.0-r1
+ virtual/ttf-fonts
+ alsa? ( ${ALSA_COMMON_DEP} )
+ cups? ( ${CUPS_COMMON_DEP} )
+ gtk? (
+ >=dev-libs/atk-1.30.0
+ >=x11-libs/cairo-1.8.8
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.8:2
+ >=x11-libs/pango-1.24.5
+ )
+ !headless-awt? ( ${X_COMMON_DEP} )
+ selinux? ( sec-policy/selinux-java )"
+
+# ca-certificates, perl and openssl are used for the cacerts keystore generation
+# perl is needed for running the SystemTap tests and the bootstrap javac
+# lsb-release is used to obtain distro information for the version & crash dump output
+# attr is needed for xattr.h which defines the extended attribute syscalls used by NIO2
+# x11-libs/libXt is needed for headers only (Intrinsic.h, IntrinsicP.h, Shell.h, StringDefs.h)
+# Ant is no longer needed under the new build system
+DEPEND="${COMMON_DEP} ${ALSA_COMMON_DEP} ${CUPS_COMMON_DEP} ${X_COMMON_DEP} ${X_DEPEND}
+ || (
+ dev-java/openjdk-bin:8
+ dev-java/openjdk:8
+ dev-java/icedtea-bin:8
+ dev-java/icedtea:8
+ )
+ app-arch/cpio
+ app-arch/unzip
+ app-arch/zip
+ app-misc/ca-certificates
+ dev-lang/perl
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl:0 )
+ sys-apps/attr
+ sys-apps/lsb-release
+ x11-libs/libXt
+ virtual/pkgconfig
+ pax_kernel? ( sys-apps/elfix )"
+
+PDEPEND="pulseaudio? ( dev-java/icedtea-sound )"
+
+S="${WORKDIR}"/${ICEDTEA_PKG}
+
+icedtea_check_requirements() {
+ local CHECKREQS_DISK_BUILD
+
+ if use doc; then
+ CHECKREQS_DISK_BUILD="9000M"
+ else
+ CHECKREQS_DISK_BUILD="8500M"
+ fi
+
+ check-reqs_pkg_${EBUILD_PHASE}
+}
+
+pkg_pretend() {
+ icedtea_check_requirements
+}
+
+pkg_setup() {
+ icedtea_check_requirements
+
+ JAVA_PKG_WANT_BUILD_VM="
+ openjdk-8 openjdk-bin-8
+ icedtea-8 icedtea-bin-8"
+ JAVA_PKG_WANT_SOURCE="1.5"
+ JAVA_PKG_WANT_TARGET="1.5"
+
+ java-vm-2_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+src_unpack() {
+ unpack ${SRC_PKG}
+}
+
+src_configure() {
+ # GCC10/-fno-common handling, #723102
+ if [[ $(gcc-major-version) -ge 10 ]]; then
+ append-flags -fcommon
+ append-flags -fno-delete-null-pointer-checks -fno-lifetime-dse
+ fi
+
+ # For bootstrap builds as the sandbox control file might not yet exist.
+ addpredict /proc/self/coredump_filter #nowarn
+
+ # icedtea doesn't like some locales. #330433 #389717
+ export LANG="C" LC_ALL="C"
+
+ local cacao_config config hotspot_port hs_config jamvm_config use_cacao use_jamvm use_zero zero_config
+ local vm=$(java-pkg_get-current-vm)
+
+ # gcj-jdk ensures ecj is present.
+ if use jbootstrap || has "${vm}" gcj-jdk; then
+ use jbootstrap || einfo "bootstrap is necessary when building with ${vm}, ignoring USE=\"-jbootstrap\""
+ config+=" --enable-bootstrap"
+ else
+ config+=" --disable-bootstrap"
+ fi
+
+ # Use Zero if requested
+ if use zero; then
+ use_zero="yes"
+ fi
+
+ # Use JamVM if requested
+ if use jamvm; then
+ use_jamvm="yes"
+ fi
+
+ # Use CACAO if requested
+ if use cacao; then
+ use_cacao="yes"
+ fi
+
+ # Are we on a architecture with a HotSpot port?
+ # In-tree JIT ports are available for amd64, arm, arm64, ppc64 (be&le), SPARC and x86.
+ if { use amd64 || use arm || use arm64 || use ppc64 || use sparc || use x86; }; then
+ hotspot_port="yes"
+ # Work around stack alignment issue, bug #647954.
+ use x86 && append-flags -mincoming-stack-boundary=2
+ fi
+
+ # Always use HotSpot as the primary VM if available. #389521 #368669 #357633 ...
+ # Otherwise use Zero for now until alternate VMs are working
+ if test "x${hotspot_port}" != "xyes"; then
+ use_zero="yes"
+ fi
+
+ if use shenandoah; then
+ if { use amd64 || use arm64; }; then
+ hs_config="--with-hotspot-build=shenandoah"
+ hs_config+=" --with-hotspot-src-zip="${DISTDIR}/${SHENANDOAH_GENTOO_TARBALL}""
+ else
+ eerror "Shenandoah is only supported on arm64 and x86_64. Please re-build with USE="-shenandoah""
+ fi
+ else
+ if use arm ; then
+ hs_config="--with-hotspot-src-zip="${DISTDIR}/${AARCH32_GENTOO_TARBALL}""
+ else
+ hs_config="--with-hotspot-src-zip="${DISTDIR}/${HOTSPOT_GENTOO_TARBALL}""
+ fi
+ fi
+
+ # Turn on JamVM if needed (non-HS archs) or requested
+ if test "x${use_jamvm}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling JamVM on an architecture with HotSpot support; issues may result.'
+ ewarn 'If so, please rebuild with USE="-jamvm"'
+ fi
+ ewarn 'JamVM is known to still have issues with IcedTea 3.x; please rebuild with USE="-jamvm"'
+ jamvm_config="--enable-jamvm"
+ fi
+
+ # Turn on CACAO if needed (non-HS archs) or requested
+ if test "x${use_cacao}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling CACAO on an architecture with HotSpot support; issues may result.'
+ ewarn 'If so, please rebuild with USE="-cacao"'
+ fi
+ ewarn 'CACAO is known to still have issues with IcedTea 3.x; please rebuild with USE="-cacao"'
+ cacao_config="--enable-cacao"
+ fi
+
+ # Turn on Zero if needed (non-HS/CACAO archs) or requested
+ if test "x${use_zero}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling Zero on an architecture with HotSpot support; performance will be significantly reduced.'
+ fi
+ zero_config="--enable-zero"
+ fi
+
+ # PaX breaks pch, bug #601016
+ if use pch && ! host-is-pax; then
+ config+=" --enable-precompiled-headers"
+ else
+ config+=" --disable-precompiled-headers"
+ fi
+
+ config+=" --with-parallel-jobs=$(makeopts_jobs)"
+
+ unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
+
+ econf ${config} \
+ --with-openjdk-src-zip="${DISTDIR}/${OPENJDK_GENTOO_TARBALL}" \
+ --with-corba-src-zip="${DISTDIR}/${CORBA_GENTOO_TARBALL}" \
+ --with-jaxp-src-zip="${DISTDIR}/${JAXP_GENTOO_TARBALL}" \
+ --with-jaxws-src-zip="${DISTDIR}/${JAXWS_GENTOO_TARBALL}" \
+ --with-jdk-src-zip="${DISTDIR}/${JDK_GENTOO_TARBALL}" \
+ --with-langtools-src-zip="${DISTDIR}/${LANGTOOLS_GENTOO_TARBALL}" \
+ --with-nashorn-src-zip="${DISTDIR}/${NASHORN_GENTOO_TARBALL}" \
+ --with-cacao-src-zip="${DISTDIR}/${CACAO_GENTOO_TARBALL}" \
+ --with-jamvm-src-zip="${DISTDIR}/${JAMVM_GENTOO_TARBALL}" \
+ --with-jdk-home="$(java-config -O)" \
+ --prefix="${EPREFIX}/usr/$(get_libdir)/icedtea${SLOT}" \
+ --mandir="${EPREFIX}/usr/$(get_libdir)/icedtea${SLOT}/man" \
+ --with-pkgversion="Gentoo ${PF}" \
+ --disable-ccache \
+ --disable-downloading --disable-Werror --disable-tests \
+ --disable-systemtap-tests --enable-improved-font-rendering \
+ --enable-system-jpeg --enable-system-zlib \
+ $(use_enable headless-awt headless) \
+ $(use_enable !headless-awt system-gif) \
+ $(use_enable !headless-awt system-png) \
+ $(use_enable doc docs) \
+ $(use_enable kerberos system-kerberos) \
+ $(use_enable system-lcms) \
+ $(use_with pax_kernel pax "${EPREFIX}/usr/sbin/paxmark.sh") \
+ $(use_enable sctp system-sctp) \
+ $(use_enable smartcard system-pcsc) \
+ ${zero_config} ${cacao_config} ${jamvm_config} ${hs_config}
+}
+
+src_compile() {
+ default
+}
+
+src_test() {
+ default
+}
+
+src_install() {
+ default
+
+ local dest="/usr/$(get_libdir)/icedtea${SLOT}"
+ local ddest="${ED}${dest#/}"
+
+ if ! use alsa; then
+ rm -v "${ddest}"/jre/lib/$(get_system_arch)/libjsoundalsa.* || die
+ fi
+
+ if ! use examples; then
+ rm -r "${ddest}"/demo "${ddest}"/sample || die
+ fi
+
+ if ! use source; then
+ rm -v "${ddest}"/src.zip || die
+ fi
+
+ dosym ../../../usr/share/doc/"${PF}" usr/share/doc/"${PN}${SLOT}"
+
+ # Fix the permissions.
+ find "${ddest}" \! -type l \( -perm /111 -exec chmod 755 {} \; -o -exec chmod 644 {} \; \) || die
+
+ dosym ../../../../../../etc/ssl/certs/java/cacerts "${dest}"/jre/lib/security/cacerts
+
+ java-vm_install-env "${FILESDIR}/icedtea.env.sh"
+ java-vm_sandbox-predict /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ java-vm-2_pkg_postinst
+ einfo "JavaWebStart functionality provided by icedtea-web package"
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ java-vm-2_pkg_postrm
+}